#include <vcl.h>
//#include <stdio.h>
#include "EMBRAC.h"

#ifdef EMBRAC
void ErrorAppMessage(char* text) {
  int i;
  String Sstr;
  Sstr = (String)text;
	i = Application->MessageBox(Sstr.c_str(), L"Программная ошибка", MB_OK | MB_ICONERROR);
  return;
}
#else
void ErrorAppMessage(char* text) {
  int i;
	i = Application->MessageBox(text, "Программная ошибка", MB_OK | MB_ICONERROR);
  return;
}
#endif
//------------------------------------------------------------

  #ifdef EMBRAC
 int Application__MessageBox(wchar_t *Text, char * Caption, Longint Flags) {
	 int rc;
  String SText = Text;
  String SCaption = Caption;
	rc = Application->MessageBox(SText.c_str(), SCaption.c_str(), Flags);
	  #else
 int ApplicationSMessageBox(wchar_t *Text, char * Caption, Longint Flags) {
	 int rc;
	rc = Application->MessageBox(Text, Caption, Flags);
	  #endif
   return rc;
 }

 //--------------------------------------------------------------
 int ApplicationMessageBox(char *Text, char * Caption, Longint Flags) {
	 int rc;
  #ifdef EMBRAC
  String SText = Text;
  String SCaption = Caption;
	rc = Application->MessageBox(SText.c_str(), SCaption.c_str(), Flags);
	  #else
	rc = Application->MessageBox(Text, Caption, Flags);
	  #endif
   return rc;
 }

